import { WithAnalyticsEventsProps } from '@uidu/analytics';
import React, { ComponentType, ReactNode } from 'react';
import { Actions } from '../types';
export interface SpotlightDialogProps extends WithAnalyticsEventsProps {
    /** Buttons to render in the footer */
    actions?: Actions;
    /** An optional element rendered beside the footer actions */
    actionsBeforeElement?: ReactNode;
    /** The elements rendered in the modal */
    children?: ReactNode;
    /** Where the dialog should appear, relative to the contents of the children. */
    dialogPlacement?: 'top left' | 'top center' | 'top right' | 'right top' | 'right middle' | 'right bottom' | 'bottom left' | 'bottom center' | 'bottom right' | 'left top' | 'left middle' | 'left bottom';
    /** The width of the dialog in pixels. Min 160 - Max 600 */
    dialogWidth: number;
    /** Optional element rendered below the body */
    footer?: ComponentType<any>;
    /** Optional element rendered above the body */
    header?: ComponentType<any>;
    /** Heading text rendered above the body */
    heading?: string;
    /** Path to the the your image */
    image?: string;
    /** The spotlight target node */
    targetNode: HTMLElement;
    /** js object containing the animation styles to apply to component */
    animationStyles: Object;
}
declare const _default: React.ForwardRefExoticComponent<Pick<Omit<SpotlightDialogProps, keyof WithAnalyticsEventsProps> & React.RefAttributes<any> & import("@uidu/analytics/src/withAnalyticsContext").WithContextProps, "heading" | "footer" | "header" | "image" | "key" | "children" | "analyticsContext" | "actions" | "actionsBeforeElement" | "targetNode" | "dialogPlacement" | "dialogWidth" | "animationStyles"> & React.RefAttributes<any>>;
export default _default;
